# PSD CityWide Maintenance Manager API Demo

This demo is designed to represent a common of hosting public access forms. It also serves to demonstrate common functionality of the API.

As such, this comes with two parts: a web page with a couple forms and a server component. The API does not offer anonymous routes and forces rate limits on all endpoints. The server componenet solves both of these issues. The API key is kept private on backend servers and endpoints results can be cached to avoid rate limits.

## Getting Started

### Install Node
This demo requires the current LTS release of [Node.js](https://nodejs.org/en/) in order to run. Their site provides various download and installation options.

## Change configuration
Edit `config.js` and update the values to reflect the settings for your environment. All values are required.

Please review the documentation within CityWide to obtain an API key if you do not already have one.

### Launch demo server
Open a terminal and navigate to the directory containing this README. After, run:

```sh
npm run start
```

The above will launch a small Express server to host the demo's content. Some server side logic is required as well.

### View demo
Open http://localhost:4000/ in any modern browser.
